diff scripts/update-po.sh @ 853:f95830b58336

Merge pyntnclick
author Stefano Rivera <stefano@rivera.za.net>
date Sat, 21 Jun 2014 22:04:35 +0200
parents 42cfafa20437
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/update-po.sh	Sat Jun 21 22:04:35 2014 +0200
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Updates translation catalogs
+
+set -eu
+
+xgettext -f data/po/POTFILES -o data/po/suspended-sentence.pot
+
+for f in data/po/*.po; do
+  msgmerge -U $f data/po/suspended-sentence.pot;
+done
+
+xgettext -f pyntnclick/data/po/POTFILES -o pyntnclick/data/po/pyntnclick-tools.pot
+
+for f in pyntnclick/data/po/*.po; do
+  msgmerge -U $f pyntnclick/data/po/pyntnclick-tools.pot;
+done